Indexes   

HybridShapePolyline (Object)

Represents the hybrid shape polyline curve object.
Role: To access or set the data of the hybrid shape polyline object. This data includes:

Use the HybridShapeFactory object to create a HybridShapePolyline object.


Property Index

Closure
Returns or sets the flag to decide closure of the polyline.
NumberOfElements
Returns the number of elements of the polyline.

Method Index

GetElement
Returns the element of the polyline.
InsertElement
Inserts the element at a specified position in the polyline.
RemoveElement
Removes the element at a specified position in the polyline.
ReplaceElement
Replaces the element at a specified position in the polyline.
SetRadius
Sets the radius at specified position of the polyline.

Properties


o Property Closure() As
Returns or sets the flag to decide closure of the polyline.
Parameters:
Closure
(For get_Closure) Returns or sets the closure property
Example:
This example retrieves the closure property of the polyline of the HybShpPolyline hybrid shape polyline.
 Dim HybShpPolClosure As  boolean
 HybShpPolClosure = HybShpPolyline.Closure
 
o Property NumberOfElements() As (Read Only)
Returns the number of elements of the polyline.
Parameters:
NumberOfElements
Number of elements in the polyline.
Example:
This example retrieves the number of elements in the polyline of the HybShpPolyline hybrid shape polyline.
 Dim HybShpPolNoOfEle As  long
 HybShpPolNoOfEle = HybShpPolyline.NumberOfElements
 

Methods


o Sub GetElement( iPosition,
oElement,
oRadius)
Returns the element of the polyline.
Parameters:
iPosition
Position at which the element is to be retrieved.
oElement
Reference to the element.
ioRadius
Length to the radius.
Example:
This example retrieves the element and radius of the polyline at specified position of the HybShpPolyline hybrid shape polyline.
 Dim HybShpPolylineElement As Reference
 Dim HybShpPolylineRadius As Reference
 HybShpPolyline.GetElement 1, HybShpPolylineElement,HybShpPolylineRadius
 
o Sub InsertElement( iPoint,
iPosition)
Inserts the element at a specified position in the polyline.
Parameters:
iPoint
Reference of the point object to be inserted.
iPosition
Position at which the element should be inserted.
Example:
This example inserts the element in the polyline of the HybShpPolyline hybrid shape polyline.
 HybShpPolyline.InsertElement PointReference,1 
 
o Sub RemoveElement( iPosition)
Removes the element at a specified position in the polyline.
Parameters:
iPosition
Position from which the element should be should be removed.
Example:
This example removes the element in the polyline of the HybShpPolyline hybrid shape polyline.
 HybShpPolyline.RemoveElement 1 
 
o Sub ReplaceElement( iPoint,
iPosition)
Replaces the element at a specified position in the polyline.
Parameters:
iPoint
Reference of the point object that will replace the old element.
iPosition
Position at which the element should be inserted.
Example:
This example replaces the element in the polyline of the HybShpPolyline hybrid shape polyline.
 HybShpPolyline.ReplaceElement PointReference, 1 
 
o Sub SetRadius( iPosition,
iRadius)
Sets the radius at specified position of the polyline.
Parameters:
iPosition
Position at which radius should be set
iRadius
Value of the radius to be set.
Example:
This example sets the radius at the specific position of the polyline of the HybShpPolyline hybrid shape polyline.
 HybShpPolyline.SetRadius 1, 10
 

Copyright © 2006, Dassault Systèmes. All rights reserved.